Subject: Re: CCL:How to fit the two peak into one peak by gaussian fitting?

From: Evgenii Rudnyi <rudnyi _+_ imtek.uni-freiburg.de>
Date: Mon, 23 May 2005 21:07:59 +0200

> Dear everybody:
> Now, i have one problem, there are two peak in my hand, the data is list
> in the attenchment, I intand to fit the two peak to one peak which
> should be the supraposition of the previous two peak, somebody can give
> some advice. I can use some soft, such as the origin or sigmaplot etc.
> Thank u very much.
> Best wish to u!

If I understand correctly, you mean that you have some function

y=f(x, Theta)

with unknown parameters Theta and two series of experimental results

{y1i, x1i} and {y2i, x2i}.

If you mean that the function is the same, that is,

y1i = f(x1i, Theta) + e1i
y2i = f(x2i, Theta) + e2i

where e1i and e2i are observation errors, a good approach is to minimize
the sum of squares

SS = Sum_i {y1i - f(x1i, Theta)}^2 w1i
+ Sum_i {y2i - f(x2i, Theta)}^2 w2i

where w1i and w2i are some weights (usually w_i ~ 1/variance(e_i)).

If functions are different but parameters are the same, actually nothing
changes, just use f1 and f2 instead of f.

A bigger problem if you have systematic errors, that is, errors within a
series are correlated with each other. In this case, I have used an
approach based on variance component analysis. You can find more detail at

http://evgenii.rudnyi.ru/doc/misc/ExperimentalDatasets.html

If I have misunderstood your question, please write more on your problem.

Best wishes,

Evgenii Rudnyi
-- 
IMTEK-Institute for Microsystem Technology
Simulation of Microsystems
Freiburg University
Georges-Koehler-Allee 103
D-79110 Freiburg i. Br.
Germany
Tel. (+49 761) 203 7383
Fax  (+49 761) 203 7437
http://www.imtek.uni-freiburg.de/simulation/
http://Evgenii.Rudnyi.Ru/